Region.Eviction (Apache Geode 1.13.2)
Date: 2021-03-08

org.apache.geode.management.configuration

## Class Region.Eviction

- java.lang.Object
- - org.apache.geode.management.configuration.Region.Eviction

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    Region

      public static class Region.Eviction
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Eviction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Region.EvictionAction` | `getAction()`
    `Integer` | `getEntryCount()`
    `Integer` | `getMemorySizeMb()`
    `ClassName` | `getObjectSizer()`
    `Region.EvictionType` | `getType()`
    `void` | `setAction(Region.EvictionAction action)`
    `void` | `setEntryCount(Integer entryCount)` this sets the entry count and the eviction type to ENTRY_COUNT
    `void` | `setMemorySizeMb(Integer memorySizeMb)` this sets the memory size in megabytes and the eviction type to MEMORY_SIZE
    `void` | `setObjectSizer(ClassName objectSizer)`
    `void` | `setType(Region.EvictionType type)` once a type is set, it can not be changed to another value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Eviction

          public Eviction()

  - ### Method Detail

    - #### getType

          public Region.EvictionType getType()

    - #### setType

          public void setType(Region.EvictionType type)

      once a type is set, it can not be changed to another value.
      Parameters:
        `type` - eviction type
      Throws:
        `IllegalArgumentException` - if type is already set to another value. this is to prevent users from trying to send in conflicting attributes in json format such as {entryCount:10,type:HEAP_PERCENTAGE}

    - #### getAction

          public Region.EvictionAction getAction()

    - #### setAction

          public void setAction(Region.EvictionAction action)

    - #### getEntryCount

          public Integer getEntryCount()

    - #### setEntryCount

          public void setEntryCount(Integer entryCount)

      this sets the entry count and the eviction type to ENTRY_COUNT
      Parameters:
        `entryCount` - the entry count
      Throws:
        `IllegalArgumentException` - if type is already set to another value. This is to prevent users from trying to send conflicting json attributes such as {type:HEAP_PERCENTAGE,entryCount:10}

    - #### getMemorySizeMb

          public Integer getMemorySizeMb()

    - #### setMemorySizeMb

          public void setMemorySizeMb(Integer memorySizeMb)

      this sets the memory size in megabytes and the eviction type to MEMORY_SIZE
      Parameters:
        `memorySizeMb` - the memory size in megabytes
      Throws:
        `IllegalArgumentException` - if type is already set to other values. This is to prevent users from trying to send conflicting json attributes such as {type:HEAP_PERCENTAGE,memorySizeMb:100}

    - #### getObjectSizer

          public ClassName getObjectSizer()

    - #### setObjectSizer

          public void setObjectSizer(ClassName objectSizer)